Subject: bug#12685: 24.2; lexical binding breaks edebug conditional breakpoints

From: Stefan Monnier <[email-masked]>
Date: Tue, 23 Oct 2012 14:27:45 -0400

> I was asking if you knew of a good place to hook into (just in my own
> private Emacs config), so that I don't have to do this manually every
> time I want to run edebug?

You might try to add an around-advice on edebug-eval-defun (and maybe
edebug-eval-top-level-form if you use it).

> I'm well aware that this means whatever behaviour I see under edebug
> could be different from the real behaviour.  Given how rarely
> dynamical-binding differs from lexical-binding in practice, it's still a
> useful work-around for me, until edebug is fixed.

You're not addicted to closures like I am, I guess,

        Stefan